/**
 * params necessary to run the docker-compose network.
 */
export declare type RunParams = {
    target: string;
    detached?: boolean;
    build?: boolean;
    timeout?: number;
    service?: string;
};
export declare class RunService {
    protected readonly params: RunParams;
    static readonly defaultParams: RunParams;
    constructor(params: RunParams);
    run(): Promise<void>;
    pollServiceUntilIsUp(totalPollingTime: number, pollIntervalMs?: number): Promise<void>;
    stop(): Promise<void>;
    private basicRun;
}
